package com.xinyilu.system.service.testItemStandard.impl;

import com.xinyilu.common.utils.DateUtils;
import com.xinyilu.system.domain.testItemStandard.TestItemStandard;
import com.xinyilu.system.mapper.testItemStandard.TestItemStandardMapper;
import com.xinyilu.system.service.testItemStandard.ITestItemStandardService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;


/**
 * 测试项目得分区间Service业务层处理
 *
 * @author jihan
 * @date 2022-08-02
 */
@Service
public class TestItemStandardServiceImpl implements ITestItemStandardService {

    @Resource
    private TestItemStandardMapper testItemStandardMapper;

    /**
     * 查询测试项目得分区间
     *
     * @param id 测试项目得分区间主键
     * @return 测试项目得分区间
     */
    @Override
    public TestItemStandard selectTestItemStandardById(Long id) {
        return testItemStandardMapper.selectTestItemStandardById(id);
    }

    /**
     * 查询测试项目得分区间列表
     *
     * @param testItemStandard 测试项目得分区间
     * @return 测试项目得分区间
     */
    @Override
    public List<TestItemStandard> selectTestItemStandardList(TestItemStandard testItemStandard) {
        return testItemStandardMapper.selectTestItemStandardList(testItemStandard);
    }

    /**
     * 新增测试项目得分区间
     *
     * @param testItemStandard 测试项目得分区间
     * @return 结果
     */
    @Override
    public int insertTestItemStandard(TestItemStandard testItemStandard) {
        testItemStandard.setCreateTime(DateUtils.getNowDate());
        return testItemStandardMapper.insertTestItemStandard(testItemStandard);
    }

    /**
     * 修改测试项目得分区间
     *
     * @param testItemStandard 测试项目得分区间
     * @return 结果
     */
    @Override
    public int updateTestItemStandard(TestItemStandard testItemStandard) {
        testItemStandard.setUpdateTime(DateUtils.getNowDate());
        return testItemStandardMapper.updateTestItemStandard(testItemStandard);
    }

    /**
     * 批量删除测试项目得分区间
     *
     * @param ids 需要删除的测试项目得分区间主键
     * @return 结果
     */
    @Override
    public int deleteTestItemStandardByIds(Long[] ids) {
        return testItemStandardMapper.deleteTestItemStandardByIds(ids);
    }

    /**
     * 删除测试项目得分区间信息
     *
     * @param id 测试项目得分区间主键
     * @return 结果
     */
    @Override
    public int deleteTestItemStandardById(Long id) {
        return testItemStandardMapper.deleteTestItemStandardById(id);
    }
}
